Search documentation of tiger_stripe

# Stripe.Services.Terminal.ConfigurationService (tiger_stripe v0.1.1)

Copy Markdown View Source

TerminalConfigurationConfiguration

A Configurations object represents how features should be configured for terminal readers. For information about how to use it, see the Terminal configurations documentation.

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a Configuration

delete(client, configuration, params \\ %{}, opts \\ [])

Delete a Configuration

list(client, params \\ %{}, opts \\ [])

List all Configurations

retrieve(client, configuration, params \\ %{}, opts \\ [])

Retrieve a Configuration

update(client, configuration, params \\ %{}, opts \\ [])

Update a Configuration

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Create a Configuration

Creates a new `Configuration` object.

# delete(client, configuration, params \\ %{}, opts \\ [])

    @spec delete(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Delete a Configuration

Deletes a `Configuration` object.

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all Configurations

Returns a list of `Configuration` objects.

# retrieve(client, configuration, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a Configuration

Retrieves a `Configuration` object.

# update(client, configuration, params \\ %{}, opts \\ [])

    @spec update(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Update a Configuration

Updates a new `Configuration` object.